#
# Conditional build:
#
%define		qtver		4.6.3
%define		kdever		4.5.0
%define		ktorrentver 4.1.3

Summary:	libktorrent
Summary(pl.UTF-8):	libktorrent
Name:		libktorrent
Version:	1.1.3
Release:	3
License:	GPL
Group:		X11/Libraries
Source0:	http://ktorrent.org/downloads/%{ktorrentver}/%{name}-%{version}.tar.bz2
# Source0-md5:	665b6139ab68b83c6465509e29e839e0
Patch0:		link.patch
URL:		http://ktorrent.org/
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	qca-devel
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.293
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ktorrent library.

%description -l pl.UTF-8
Biblioteka ktorrent.

%package devel
Summary:        Header files for ktorrent library
Summary(pl.UTF-8):      Pliki nagłówkowe biblioteki ktorrent
Group:          Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel
Header files for ktorrent library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ktorrent.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

# remove unsupported langs
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/sr@ijekavian*
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/ar
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/hr
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/se
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/si

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libktorrent.so.?
%attr(755,root,root) %{_libdir}/libktorrent.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libktorrent.so
%{_includedir}/libktorrent
%{_datadir}/apps/cmake/modules/FindKTorrent.cmake
%changelog
* Thu Jan 02 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libktorrent.git;a=log;h=master

* Thu Jan 02 2014 Jan Rękorajski <baggins@pld-linux.org> 1360ce0
- fixed linking
- rel 3

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5863194
- release 2 (by relup.sh)

* Tue Feb 28 2012 Mariusz Mazur <mmazur@pld-linux.org> 9917600
- up to 1.1.3; stbr

* Wed Sep 07 2011 marti <marti@pld-linux.org> bb035d9
- up to 1.1.2
- removed unsupported locales
- defined ktorrent version for source path

* Thu Apr 07 2011 vip <vip@pld-linux.org> f11749e
- up to 1.1.0

* Wed Feb 23 2011 blekot <blekot@pld-linux.org> 1d5f23e
- up to 1.0.5-3 (weird -3 in source)
- rel 1

* Tue Aug 17 2010 shadzik <shadzik@pld-linux.org> fe297f0
- rel 2

* Thu Aug 05 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c8a9d7a
- up to 1.0.2

* Wed Jun 16 2010 shadzik <shadzik@pld-linux.org> 245de47
- remove unsupported langs

* Wed Jun 16 2010 shadzik <shadzik@pld-linux.org> 1138edf
- 1.0.1

* Tue Jun 01 2010 shadzik <shadzik@pld-linux.org> 356fb15
- %files
- devel subpackage

* Tue Jun 01 2010 shadzik <shadzik@pld-linux.org> f06b115
- init
- NFY

